# Welcome to Jekyll!
#
# This config file is meant for settings that affect your whole blog, values
# which you are expected to set up once and rarely edit after that. If you find
# yourself editing this file very often, consider using Jekyll's data files
# feature for the data you need to update frequently.
#
# For technical reasons, this file is *NOT* reloaded automatically when you use
# 'bundle exec jekyll serve'. If you change this file, please restart the server process.
#
# If you need help with YAML syntax, here are some quick references for you:
# https://learn-the-web.algonquindesign.ca/topics/markdown-yaml-cheat-sheet/#yaml
# https://learnxinyminutes.com/docs/yaml/
#
# Site settings
# These are used to personalize your new site. If you look in the HTML files,
# you will see them accessed via {{ site.title }}, {{ site.email }}, and so on.
# You can create any custom variable you would like, and they will be accessible
# in the templates via {{ site.myvariable }}.

title: milk sad Disclosure
email: team@milksad.info
description: >- # this means to ignore newlines until "baseurl:"
  An explanation of how weak entropy can ruin your day.
baseurl: "" # the subpath of your site, e.g. /blog
url: "https://milksad.info" # the base hostname & protocol for your site, e.g. http://example.com

header_pages:
  - index.md
  - updates.md
  - disclosure.md
  - faq.md
  - lookup.md

style: dark # dark (default), light or hacker
listen_for_clients_preferred_style: false # false (default) or true

footer: '2023-2024'

plugins:
 - jekyll-feed
 - jekyll-responsive-image

# Build settings

# included locally instead
# theme: jekyll-theme-console

# for Table of Contents
kramdown:
  toc_levels: 2..3

# show post excerpts in post overview
show_excerpts: true

# change URL path to posts
permalink: /posts/:title/

sass:
  sass_dir: _sass

# ensure some files are not copied to the _site output folder
exclude:
  - "*.sh"
  - "*.conf"
  - "README.md"
  - "LICENSE"



responsive_image:
  # Path to the image template.
  template: _includes/responsive-image.html

  # [Optional, Default: 85]
  # Quality to use when resizing images.
  default_quality: 90

  # [Optional, Default: []]
  # An array of resize configuration objects. Each object must contain at least
  # a `width` value.
  # Keep in sync with minima.scss width levels, in pixel
  sizes:
    - width: 600  # [Required] How wide the resized image will be.
      quality: 85  # [Optional] Overrides default_quality for this size.
    - width: 1150

  # [Optional, Default: false]
  # Rotate resized images depending on their EXIF rotation attribute. Useful for
  # working with JPGs directly from digital cameras and smartphones
  auto_rotate: false

  # [Optional, Default: false]
  # Strip EXIF and other JPEG profiles.
  strip: true

  # [Optional, Default: assets]
  # The base directory where assets are stored. This is used to determine the
  # `dirname` value in `output_path_format` below.
  base_path: assets/images

  # [Optional, Default: assets/resized/%{filename}-%{width}x%{height}.%{extension}]
  # The template used when generating filenames for resized images. Must be a
  # relative path.
  #
  # Parameters available are:
  #   %{dirname}     Directory of the file relative to `base_path` (assets/sub/dir/some-file.jpg => sub/dir)
  #   %{basename}    Basename of the file (assets/some-file.jpg => some-file.jpg)
  #   %{filename}    Basename without the extension (assets/some-file.jpg => some-file)
  #   %{extension}   Extension of the file (assets/some-file.jpg => jpg)
  #   %{width}       Width of the resized image
  #   %{height}      Height of the resized image
  #
  output_path_format: assets/images/resized/%{width}/%{basename}

  # [Optional, Default: true]
  # Whether or not to save the generated assets into the source folder.
  save_to_source: false

  # [Optional, Default: false]
  # Cache the result of {% responsive_image %} and {% responsive_image_block %}
  # tags. See the "Caching" section of the README for more information.
  cache: false

  #/ [Optional, Default: []]
  # By default, only images referenced by the responsive_image and responsive_image_block
  # tags are resized. Here you can set a list of paths or path globs to resize other
  # images. This is useful for resizing images which will be referenced from stylesheets.
  #  extra_images:
  #    - assets/foo/bar.png
  #    - assets/bgs/*.png
  #    - assets/avatars/*.{jpeg,jpg}
